const path = require("path");
const auth = require("./credentials.js");
const API = require("../src/api.js");

let files = [ "console.js", "market.js", "user.js" ].map((name) =>
    path.join(__dirname, name)
);

let api = new API(auth.email, auth.password, auth.server);
api.code.push(files, "simulation")
    .then(() => console.log("ok"))
    .catch((err) => console.error("An error occured: ", err));
