const auth = require("./credentials.js");
const API = require("../src/api.js");

let api = new API(auth.email, auth.password, auth.server);
api.on("error", (err) => console.error("An error occured: ", err));
api.on("raw_message", (msg) => console.log(msg));
api.on("/cpu", ({cpu, memory}) => {
    console.log(`cpu: ${cpu}, memory: ${memory}`);
});
api.user.subscribe().catch((err) => console.error("An error occured: ", err));
