let auth = require("./credentials.js");
let API = require("../src/api.js");

let api = new API(auth.email, auth.password, auth.server);
Promise.resolve().then(() => {
    // Get Memory.stats
    return api.memory.get("stats").then((val) => console.log("Memory.stats === ", JSON.stringify(val)));
}).then(() => {
    // Set Memory.hello
    return api.memory.set("hello", "Hello world").then((stats) => console.log("memory.set() ok"));
}).then(() => {
    // Get Memory.hello
    return api.memory.get("undefined").then((val) => console.log(`Memory.undefined is ${JSON.stringify(val)}.`));
}).catch((err) => {
    // Manage errors
   if(err.stack) console.error("An error occured: ", err.stack);
   else console.error("An error occured: ", err);
});
